- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_soap_fault_reason.h File Reference

axiom_soap_fault_reason More...

`#include <axutil_env.h>`
`#include <axiom_soap_fault.h>`
`#include <axutil_array_list.h>`

Go to the source code of this file.

## Typedefs
typedef struct axiom_soap_fault_reason | axiom_soap_fault_reason_t
## Functions
AXIS2_EXTERN axiom_soap_fault_reason_t * | axiom_soap_fault_reason_create_with_parent (const axutil_env_t *env, axiom_soap_fault_t *fault)
AXIS2_EXTERN void | axiom_soap_fault_reason_free (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_text * | axiom_soap_fault_reason_get_soap_fault_text (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env, axis2_char_t *lang)
AXIS2_EXTERN axutil_array_list_t * | axiom_soap_fault_reason_get_all_soap_fault_texts (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env)
AXIS2_EXTERN struct axiom_soap_fault_text * | axiom_soap_fault_reason_get_first_soap_fault_text (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_soap_fault_reason_add_soap_fault_text (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env, struct axiom_soap_fault_text *fault_text)
AXIS2_EXTERN axiom_node_t * | axiom_soap_fault_reason_get_base_node (axiom_soap_fault_reason_t *fault_reason, const axutil_env_t *env)

## Detailed Description

axiom_soap_fault_reason